Get Basic Reference view

Most recent data supported.

get

Query Parameters

idTypestring

Specifies the type of the value passed in the id parameter.
Morningstar Performance ID is the default identifer for the API. Use the Universe API to retrieve Performance IDs for investments in your entitled universe.

Allowed values:performanceIdisinsecurityIdcusiptradingSymbolfundCodemsid

Default:performanceId

baseCurrencystring

Base currency to use for investment lookup. Accepts 3‑character ISO 4217 currency codes.

domicilestring

Domicile to use for investment lookup. Accepts 3-character ISO 3166-1 country codes.

exchangeCountrystring

Exchange country to use for investment lookup. Accepts 3-character ISO 3166-1 country codes.

exchangeIdstring

Exchange identifier to use for investment lookup.

startDatestring(yyyy-MM-dd)

Time series start date. Accepts yyyy-MM-dd.

endDatestring(yyyy-MM-dd)

Time series end date. Accepts yyyy-MM-dd.

languageIdstring

Language to filter results by. Language support varies depending on the data and package.

  • ENG = English
  • SPA = Spanish
  • FRA = French
  • DEU = German
  • ITA = Italian
  • JPN = Japanese
  • CHI = Chinese Simplified
  • ZHO = Chinese Traditional
  • KOR = Korean

Example:ENG

Path Parameters

idstringrequired

Specifies the investment to query.
Morningstar Performance ID is the default identifer for the API. Use the Universe API to retrieve Performance IDs for investments in your entitled universe.

Example:0P00000046

Response

application/json

OK

ResponseBasicReference

basicReferenceobject

All fields are nullable. Empty or null value fields are not returned.

* Additional properties are NOT allowed.
Show Child Parameters
identifiersobject

All fields are nullable. Empty or null value fields are not returned.

* Additional properties are NOT allowed.
Show Child Parameters
metadataobject

All fields are nullable. Empty or null value fields are not returned.

* Additional properties are NOT allowed.
Show Child Parameters
get/direct-web-services/v1/investments/{id}/basic-reference
 
application/json

Get Daily Returns Most Recent view

Most recent data supported.

get

Query Parameters

idTypestring

Specifies the type of the value passed in the id parameter.
Morningstar Performance ID is the default identifer for the API. Use the Universe API to retrieve Performance IDs for investments in your entitled universe.

Allowed values:performanceIdisinsecurityIdcusiptradingSymbolfundCodemsid

Default:performanceId

baseCurrencystring

Base currency to use for investment lookup. Accepts 3‑character ISO 4217 currency codes.

domicilestring

Domicile to use for investment lookup. Accepts 3-character ISO 3166-1 country codes.

exchangeCountrystring

Exchange country to use for investment lookup. Accepts 3-character ISO 3166-1 country codes.

exchangeIdstring

Exchange identifier to use for investment lookup.

currencyIdstring

Currency identifier in ISO format (e.g., “USD”, “EUR”, “GBP”)

Path Parameters

idstringrequired

Specifies the investment to query.
Morningstar Performance ID is the default identifer for the API. Use the Universe API to retrieve Performance IDs for investments in your entitled universe.

Example:0P00000046

Response

application/json

OK

ResponseDailyReturnsMostRecent

dailyReturnsMostRecentobject

All fields are nullable. Empty or null value fields are not returned.

* Additional properties are NOT allowed.
Show Child Parameters
identifiersobject

All fields are nullable. Empty or null value fields are not returned.

* Additional properties are NOT allowed.
Show Child Parameters
metadataobject

All fields are nullable. Empty or null value fields are not returned.

* Additional properties are NOT allowed.
Show Child Parameters
get/direct-web-services/v1/investments/{id}/daily-returns-most-recent
 
application/json

Get Basic Reference package view

The Basic Reference package contains the core data required to identify a company, stock, and specific listing of that stock. Data includes items such as ISINs (excluding those issued by CUSIP Global Services), trading symbols, details of the exchange on which the stock is listed, Legal Entity Identifiers (LEI), and the Securities and Exchange Commission’s Central Index Key. Most recent data supported.

get

Query Parameters

idTypestring

Specifies the type of the value passed in the id parameter.
Morningstar Performance ID is the default identifer for the API. Use the Universe API to retrieve Performance IDs for investments in your entitled universe.

Allowed values:performanceIdisinsecurityIdcusiptradingSymbolfundCodemsid

Default:performanceId

baseCurrencystring

Base currency to use for investment lookup. Accepts 3‑character ISO 4217 currency codes.

domicilestring

Domicile to use for investment lookup. Accepts 3-character ISO 3166-1 country codes.

exchangeCountrystring

Exchange country to use for investment lookup. Accepts 3-character ISO 3166-1 country codes.

exchangeIdstring

Exchange identifier to use for investment lookup.

Path Parameters

idstringrequired

Specifies the investment to query.
Morningstar Performance ID is the default identifer for the API. Use the Universe API to retrieve Performance IDs for investments in your entitled universe.

Example:0P00000046

Response

application/json

OK

companyInformationobject
* Additional properties are NOT allowed.
Show Child Parameters
delistInformationobject
* Additional properties are NOT allowed.
Show Child Parameters
shareClassInformationobject
* Additional properties are NOT allowed.
Show Child Parameters
identifiersobject

All fields are nullable. Empty or null value fields are not returned.

* Additional properties are NOT allowed.
Show Child Parameters
metadataobject

All fields are nullable. Empty or null value fields are not returned.

* Additional properties are NOT allowed.
Show Child Parameters
get/direct-web-services/v1/investments/{id}/equity-basic-reference
 
application/json

Custom Views

Get a custom view

Retrieve data for a custom view. A custom view combines views your account is entitled to into a single view with its own viewId.

Use GET /views to list the views available to your account, including custom views, and GET /views/{viewId} to see which datasets and data points a view returns.

get

Query Parameters

idTypestring

Specifies the type of the value passed in the id parameter.
Morningstar Performance ID is the default identifer for the API. Use the Universe API to retrieve Performance IDs for investments in your entitled universe.

Allowed values:performanceIdisinsecurityIdcusiptradingSymbolfundCodemsid

Default:performanceId

baseCurrencystring

Base currency to use for investment lookup. Accepts 3‑character ISO 4217 currency codes.

domicilestring

Domicile to use for investment lookup. Accepts 3-character ISO 3166-1 country codes.

exchangeCountrystring

Exchange country to use for investment lookup. Accepts 3-character ISO 3166-1 country codes.

exchangeIdstring

Exchange identifier to use for investment lookup.

Path Parameters

idstringrequired

Specifies the investment to query.
Morningstar Performance ID is the default identifer for the API. Use the Universe API to retrieve Performance IDs for investments in your entitled universe.

Example:0P00000046

viewIdstringrequired

Identifier of the custom view, as returned by GET /views.

Response

application/json

OK

ResponseCustomView

Contains one property per view or dataset included in the custom view, named as in the response of that view (for example activeShare), alongside identifiers and metadata.

identifiersobject

All fields are nullable. Empty or null value fields are not returned.

* Additional properties are NOT allowed.
Show Child Parameters
metadataobject

All fields are nullable. Empty or null value fields are not returned.

* Additional properties are NOT allowed.
Show Child Parameters
get/direct-web-services/v1/investments/{id}/{viewId}
 
application/json